# All files / node-request-retry/strategies HTTPError.js

100% Statements 3/3
100% Branches 6/6
100% Functions 1/1
100% Lines 3/3

Press n or j to go to the next uncovered block, b, p or k for the previous block.

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14

    1x
    67x

    67x

     'use strict';

    /**
     * @param  {Null | Object} err
     * @param  {Object} response
     * @return {Boolean} true if the request had a recoverable HTTP error
     */
    module.exports = function HTTPError(err, response) {
      const statusCode = response ? response.statusCode : null;

      // 429 means "Too Many Requests" while 5xx means "Server Error"
      return statusCode && (statusCode === 429 || (500 <= statusCode && statusCode < 600));
    };